
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/telephony/ixj_pcmcia.c |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/telephony/ixj_pcmcia.c~pcmcia-id_table-for-ixj_pcmciac drivers/telephony/ixj_pcmcia.c
--- 25/drivers/telephony/ixj_pcmcia.c~pcmcia-id_table-for-ixj_pcmciac	Sun Mar  6 17:28:18 2005
+++ 25-akpm/drivers/telephony/ixj_pcmcia.c	Sun Mar  6 17:28:18 2005
@@ -295,6 +295,12 @@ static int ixj_event(event_t event, int 
 	return 0;
 }
 
+static struct pcmcia_device_id ixj_ids[] = {
+	PCMCIA_DEVICE_MANF_CARD(0x0257, 0x0600),
+	PCMCIA_DEVICE_NULL
+};
+MODULE_DEVICE_TABLE(pcmcia, ixj_ids);
+
 static struct pcmcia_driver ixj_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -302,6 +308,7 @@ static struct pcmcia_driver ixj_driver =
 	},
 	.attach		= ixj_attach,
 	.detach		= ixj_detach,
+	.id_table	= ixj_ids,
 };
 
 static int __init ixj_pcmcia_init(void)
_
